Bug 1871084 - Jenkins console log out cannot delete oauthaccesstoken [NEEDINFO]
Summary: Jenkins console log out cannot delete oauthaccesstoken
Keywords:
Status: VERIFIED
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Jenkins
Version: 4.6
Hardware: Unspecified
OS: Unspecified
urgent
urgent
Target Milestone: ---
: 4.6.0
Assignee: Akram Ben Aissi
QA Contact: XiuJuan Wang
URL:
Whiteboard:
Depends On: 1869966 1872288
Blocks: 1879327
TreeView+ depends on / blocked
 
Reported: 2020-08-21 09:56 UTC by XiuJuan Wang
Modified: 2020-09-16 02:35 UTC (History)
11 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of: 1869966
: 1879327 (view as bug list)
Environment:
Last Closed:
Target Upstream Version:
xiuwang: needinfo? (abenaiss)


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Github openshift jenkins-openshift-login-plugin pull 109 None closed Bug 1871084: Implement logout with proper oauthaccesstoken deletion 2020-09-22 13:40:58 UTC
Github openshift jenkins pull 1151 None closed [head]Bug 1871084: oauth logout implementation 2020-09-22 13:40:58 UTC

Description XiuJuan Wang 2020-08-21 09:56:50 UTC
+++ This bug was initially created as a clone of Bug #1869966 +++

Description of problem:
Now oauthaccesstoken name is not the token value. Jenkins console log out cannot delete oauthaccesstoken. Refer to oc bug 1868324

Version-Release number of selected component (if applicable):
4.6.0-0.nightly-2020-08-18-191231

How reproducible:
Always

Steps to Reproduce:
1. Create a jenkins application
$oc new-app jenkins-ephemeral
2. Login to web console
3. Check `oc get oauthaccesstoken`
4. Then log out from web console. Check `oc get oauthaccesstoken` again.

Actual results:
3. Step 3 command output is still shown in step 4 command. 

Expected results:
4. The delete-token request should convert the token to oauthaccesstoken name, then delete oauthaccesstoken name like oc bug 1868324

Additional info:

--- Additional comment from Jakub Hadvig on 2020-08-20 21:13:19 UTC ---

Will revert https://github.com/openshift/console/pull/6319 when the logout bug is fixed.

Comment 2 Akram Ben Aissi 2020-09-07 16:47:18 UTC
resetting to POST because it is actually closed by another PR
This PR https://github.com/openshift/jenkins-openshift-login-plugin/pull/109 contains the effective fix
but the plugin update is in https://github.com/openshift/jenkins/pull/1151

Comment 7 XiuJuan Wang 2020-09-11 07:01:19 UTC
Still could reproduce this bug with jenkins image quay.io/openshift-release-dev/ocp-v4.0-art-dev@sha256:ced6b04b9934fd7cac073f16096ea54107989028211ac96e0bc075f271459313 included in payload 4.6.0-0.nightly-2020-09-10-195619.
Jenkins image need rebuild to launch openshift-login 1.0.25 plugin

Comment 8 XiuJuan Wang 2020-09-14 06:40:31 UTC
Verified this bug with jenkins image in payload 4.6.0-0.nightly-2020-09-12-230035
The openshift-login plugin is 1.0.25
When log out from jenkins webconsole, oauthaccesstoken will be deleted.


Note You need to log in before you can comment on or make changes to this bug.